using Conjure.Interraction;
using Sirenix.OdinInspector;
using UnityEngine;

namespace Conjure.Items
{
    public abstract class InterractableElement : SerializedMonoBehaviour, IInteractable
    {
        public abstract void InterractEnter(PlayerInterraction playerInterraction);

        public abstract void Interract(PlayerInterraction playerInterraction);
        public abstract void InterractLeave(PlayerInterraction playerInterraction);
    }
}